//
//  HelloTableViewViewController.m
//  HelloTableView
//
//  Created by Michael Rohs on 4.5.2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "HelloTableViewViewController.h"

@implementation HelloTableViewViewController

- (void)dealloc
{
    [data release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
    data = [NSArray arrayWithObjects:@"entry 1", @"entry 2", @"entry 3", @"entry 4", @"entry 5", nil];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}



#pragma mark -
#pragma mark Table view data source



- (NSInteger)numberOfSectionsInTableView:(UITableView *)tv {
	NSLog(@"numberOfSectionsInTableView");
    return 1;
}



- (NSInteger)tableView:(UITableView *)tv numberOfRowsInSection:(NSInteger)section {
	NSLog(@"numberOfRowsInSection");
	return [data count];
}



- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{
	NSLog(@"cellForRowAtIndexPath");
	
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"MyTableCell"];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"MyTableCell"] autorelease];
    }
    
	int i = indexPath.row;
    cell.textLabel.text = [data objectAtIndex:i];
	
	return cell;
}



#pragma mark -
#pragma mark Table view delegate



/*
 - (CGFloat)tableView:(UITableView*)tv heightForRowAtIndexPath:(NSIndexPath*)indexPath
{
}
 */



- (void) tableView:(UITableView *)tv didSelectRowAtIndexPath:(NSIndexPath *)indexPath 
{
	NSLog(@"didSelectRowAtIndexPath");
}



@end
